using Managing.Domain.Users;

namespace Managing.Application.Abstractions.Repositories;

public interface IUserRepository
{
    Task<User> GetUserByAgentNameAsync(string agentName);
    Task<User> GetUserByNameAsync(string name);
    Task<IEnumerable<User>> GetAllUsersAsync();
    Task SaveOrUpdateUserAsync(User user);
}